Package: groovy.org.codenarc.rule.naming

## [Groovy] Class ClassNameRule

- groovy.org.codenarc.rule.naming.ClassNameRule

- Rule that verifies that the name of a class matches a regular expression. By default it checks that the class name starts with an uppercase letter and is followed by zero or more word characters (letters, numbers or underscores). Implicit classes (i.e. Groovy scripts) are ignored. This rule applies to all classes, including abstract classes and interfaces.

  The `regex` property specifies the regular expression to check the class name against. It is required and cannot be null or empty. It defaults to '[A-Z]\w*'.
  See Also:
    AbstractClassNameRule
    InterfaceNameRule
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`
    `String` | `regex`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `validate()`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority

    - #### String regex

  - ### Method Detail

    - #### void validate()